[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.Exchange

Exchanges two strings in the list.

## Declaration

Source position: classesh.inc line 664

`public procedure TStrings.Exchange(`
`Index1: Integer;`
`Index2: Integer`
`); virtual;`

## Description

Exchange exchanges the strings at positions Index1 and Index2. The associated objects are also exchanged.

Both indexes must be in the range of valid indexes, i.e. must have a value between 0 and Count-1.

## Errors

If either Index1 or Index2 is not in the range of valid indexes, an EStringListError exception is raised.

## See also

TStrings.Move |  | Move a string from one place in the list to another.
TStrings.Strings |  | Indexed access to the strings in the list.
TStrings.Count |  | Number of strings in the list.

Documentation generated on: Feb 26 2014